BRA.S	S

DOS:	DC.B	'dos.library',$00
DOP:	DC.L	$0

TEXT:	DC.B	$0c,$0a,$09,$09,'Hejsan alla glada barn !!!',$00

S:	MOVE.L	$04.W,A6
	LEA	DOS,A1
	CLR.L	D0
	JSR	-552(A6)
	MOVE.L	D0,DOP

	LEA	TEXT,A0
	JSR	PRINT
	RTS

PRINT:	MOVE.L	A0,-(A7)
	MOVE.L	DOP,A6
	JSR	-60(A6)
	MOVE.L	D0,D1
	MOVE.L	(A7)+,A0
	MOVE.L	A0,D2
P_0:	TST.B	(A0)+
	BNE	P_0
	MOVE.L	A0,D3
	SUB.L	D2,D3
	MOVE.L	DOP,A6
	JSR	-48(A6)
	RTS

